html.head.legalnotice.link.types
Prev | Meta/*Info and Titlepages | Next

## html.head.legalnotice.link.types

html.head.legalnotice.link.types — Specifies link types for legalnotice link in html head

## Synopsis

    <xsl:param name="html.head.legalnotice.link.types">copyright</xsl:param>

## Description

The value of `html.head.legalnotice.link.types` is a space-separated list of link types, as described in Section 6.12 of the HTML 4.01 specification. If the value of the `generate.legalnotice.link` parameter is non-zero, then the stylesheet generates (in the `head` section of the HTML source) either a single HTML `link` element or, if the value of the `html.head.legalnotice.link.multiple` is non-zero, one `link` element for each link type specified. Each `link` has the following attributes:

- a `rel` attribute whose value is derived from the value of `html.head.legalnotice.link.types`

- an `href` attribute whose value is set to the URL of the file containing the `legalnotice`

- a `title` attribute whose value is set to the title of the corresponding `legalnotice` (or a title programatically determined by the stylesheet)

For example:

      <link rel="license" href="ln-id2524073.html" title="Legal Notice">

### About the default value

In an ideal world, the default value of `html.head.legalnotice.link.types` would probably be “`license`”, since the content of the DocBook `legalnotice` is typically license information, not copyright information. However, the default value is “`copyright`” for pragmatic reasons: because that’s among the set of “recognized link types” listed in Section 6.12 of the HTML 4.01 specification, and because certain browsers and browser extensions are preconfigured to recognize that value.

Prev | Up | Next
generate.revhistory.link | Home | html.head.legalnotice.link.multiple